Bug 47416 - Improvement of TinyMCE editor page
Summary: Improvement of TinyMCE editor page
Status: RESOLVED FIXED
Alias: None
Product: Lenya
Classification: Unclassified
Component: TinyMCE Integration (show other bugs)
Version: Trunk
Hardware: All All
: P2 enhancement
Target Milestone: 2.0.4
Assignee: Lenya Developers
URL:
Keywords: ErrorMessage, PatchAvailable
Depends on:
Blocks:
 
Reported: 2009-06-24 05:55 UTC by Rainer Schöpf
Modified: 2010-11-19 13:17 UTC (History)
0 users



Attachments
Improve TinyMCE editing experience ;-) (4.52 KB, patch)
2009-06-24 05:55 UTC, Rainer Schöpf
Details | Diff
Add second set of submit/reset buttons at top of edit page (846 bytes, patch)
2009-07-15 11:13 UTC, Rainer Schöpf
Details | Diff
Go back into TinyMCE when a validation error occurs (2.62 KB, patch)
2009-07-15 11:52 UTC, Rainer Schöpf
Details | Diff
Remove menus and similar from tinymce edit page, leaving only the edit area (1.98 KB, patch)
2009-07-16 03:21 UTC, Rainer Schöpf
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Schöpf 2009-06-24 05:55:08 UTC
Created attachment 23867 [details]
Improve TinyMCE editing experience ;-)

The appended patch makes the following changes:

 - add a second set of Submit/Cancel buttons above the edit area, like the OneForm editor does.

 - do not show Lenya Menus and Navigation Tree on edit page

 - if an error during validation occurs, go back to the editor page, and display the error messages (again taken from the oneform editor)

(Ideally, all this should be implemented using .jx files, like for oneform.)

Open issues: 

 - Removal of Menus and Navigation Tree happens via ad-hoc xslt templates. Any change in the xhtml tree might break this.

 - Line and column numbers do not appear correctly, but I haven't had time to trace this down. Anyway, I couldn't find a way to have TinyMCE jump the cursor to a specific line of the HTML file.

 Rainer Schöpf
Comment 1 Juergen Ragaller 2009-06-26 05:47:14 UTC
Thanks for the Patch, Rainer

I tried your patch. I prefer to see the page mostly unchanged; to not loose unsaved data from within the editor, an unload handler would be nice to have - and a possible solution for that matter.

WDTOT?
Comment 2 Rainer Schöpf 2009-06-27 04:24:04 UTC
(In reply to comment #1)
> Thanks for the Patch, Rainer
> 
> I tried your patch. I prefer to see the page mostly unchanged; to not loose
> unsaved data from within the editor, an unload handler would be nice to have -
> and a possible solution for that matter.
> 
> WDTOT?

Hi Juergen

It should not loose unsaved data; I believe you need to replace the incorrect class selector in the page2edit.xsl file, ie. replace all occurences of old 

  @class='lenya-error'

by the new

  @class='lenyaInfoBox'

The correct behaviour is triggered by the existence of a div with that particular class attribute (see the patch I attached to bug #46744 to account for the changes in src/modules-core/usecase/templates/messages.jx)

An unload handler would be a nice solution, but I still do not understand the lenya control flow well enough.

How about integrating tinymce as a usecase of the editors module?

  Rainer
Comment 3 Rainer Schöpf 2009-07-15 11:13:56 UTC
Created attachment 23988 [details]
Add second set of submit/reset buttons at top of edit page
Comment 4 Rainer Schöpf 2009-07-15 11:52:40 UTC
Created attachment 23989 [details]
Go back into TinyMCE when a validation error occurs
Comment 5 Rainer Schöpf 2009-07-16 03:21:39 UTC
Created attachment 23992 [details]
Remove menus and similar from tinymce edit page, leaving only the edit area

With this patch applied, the TinyMCE edit page contains only a title, the edit area and the lenya logo. It relies on the standard page layout.

It is certainly only a stopgap solution.

 Rainer
Comment 6 Rainer Schöpf 2010-11-19 13:17:41 UTC
Second patch (Go back into TinyMCE when a validation error occurs) was applied to trunk.

Other patches rejected